ARG TOOLCHAIN_VERSION=latest
#################################################
# STAGE: builder
#------------------------------------------------
FROM docker.io/library/golang:${TOOLCHAIN_VERSION} AS builder

WORKDIR /repo
COPY . /repo

RUN make build-release

#################################################
# STAGE: runtime
#------------------------------------------------
FROM scratch AS runtime

COPY --from=builder /repo/build/gcs-listener /usr/bin/gcs-listener

ENTRYPOINT [ "/usr/bin/gcs-listener" ]
